package com.imdroid.beidou_ehm.simcard;

import com.imdroid.secapi.dto.GnssStatusJoin;

public interface SimCardQueryService {

    // 查询卡基本信息
    BaseResponse<CardInfoData> queryCardInfo(GnssStatusJoin device);

    // 查询卡状态
    BaseResponse<CardStatusData> queryCardStatus(GnssStatusJoin device);

    // 查询流量信息
    BaseResponse<GprsData> queryGprs(GnssStatusJoin device);

    // 查询卡详细信息
    BaseResponse<CardDetailData> queryCardDetail(GnssStatusJoin device);

}
